SRC2PKG(1)

NAME
src2pkg - manual page for src2pkg version-1.5

DESCRIPTION
src2pkg - Build an installable package from a source tarball.

src2pkg [-h,--help,--version]

src2pkg [User Options] [Build Options]  file-name

src2pkg -[ABCDHINOPRSTUV(VV)WX] [abcdefimnpsuv] file-name

    The following options take no argument:

-A  Autogenerate a src2pkg script if the build succeeds.

-B  Keep backup of any files overwritten by this installation.

-C  Place finished package in Current directory.

-D  Don't apply diff or patch files automatically.

-H  Place finished package in your HOME directory.

-I  Install the created package when finished.

-N  Generate a starting src2pkg script and description file only.

-O  Use an OBJECT directory for building (USE_OBJ_DIR='YES').

-P  Preserve permissions in the source directory. (CORRECT_PERMS='NO')

-R  Replay errors in configuration or compilation(useful in QUIET mode).

-S  Use a Shell script for installation(install.sh by default)

-T  Test-build the source code without attempting to make a package.

-U  Update the build script for compatibility if needed.

-V  DEBUG -show detailed prompts for debugging.

-VV Be verbose. Show all output from the steps (QUIET='NO').

-W  Remove (wipe out) temporary build files (CLEANUP=ALL).

-X  Execute a build script in the current working directory.

    The following options require an argument separated by the '=' sign: Use quotes '' or "" around the arguments if they contain spaces.

-a  Set the architecture of the package [-a=noarch] (ARCH='').

-b  Set the build or release number [-b=2] (BUILD='').

-c  Set the CONFIG_COMMAND option -usually 'configure'.

-d  Set the list of douments to include [-d='README AUTHORS'] (DOCLIST='').

-e  Pass extra arguments to configure [-e='--disable-gnome'] (EXTRA_CONFIGS='').

-f  Set the CFLAGS variable [-f='-Wall -O3'] (STD_FLAGS='').

-i  Set the install command line [-i='make install'] (INSTALL_LINE).

-m  Set the 'make' command [-m='make dep all'] (MAKE_COMMAND).

-n  Set the package name [-n='newname'] (ALT_NAME='').

-p  Set the installation prefix [-p=/usr/local] (PRE_FIX='').

-s  Set the configuration subdir [-s=src] (CONFIG_SUBDIR='').

-u  Set the URL location of the source tarball.

-v  Set the version of the package [-v=0.0.0a] (ALT_VERSION=''). Note: Variables shown above in parenthesis are the src2pkg script equivalents.

EXAMPLES

    Examples:

    src2pkg myprogram-0.1tar.bz2

    src2pkg -N myprogram-0.1.tar.bz2

    src2pkg -i='make install install-data'-A myprogram-0.1.tar.bz2

    src2pkg -e='--disable-nls' -A myprogram-0.1.tar.bz2

USAGE
When given the name of a compressed source tarball src2pkg performs all the commands necessary to unpack and compile the sources and then install them using the command 'make install', tracking whatever directories, files or links are created and then making a Slackware-type tgz package from those files, etc. src2pkg will execute its' own scripts if one is named instead of a tarball. The command 'src2pkg -X' will search the current directory and run the first *.scrpkg.auto or *.src2pkg script it finds. Giving a valid URL to a source tarball or online *.src2pkg script will automatically download the archive or script for you if you are connected to the internet.

SEE ALSO
The full documentation for src2pkg is maintained as part of the src2pkg package.

See /usr/doc/src2pkg\-x.x for further usage.